# pyBibX

## Introduction

pyCritical is a Python library designed to solve Critical Path Method (CPM) and Program Evaluation Review Technique (PERT) problems. It provides functionalities to calculate project schedules, identify critical paths, and visualize project timelines with Gantt charts. This library is an essential tool for project managers, operations researchers, and anyone involved in project planning and control.

**Features**

- CPM Analysis: Calculate the critical path, earliest start and finish times, latest start and finish times, and slack times.
- PERT Analysis: Evaluate project timelines with probabilistic time estimates.
- Gantt Chart Visualization: Generate Gantt charts to visually represent the project schedule.

## Usage

1. Install
```bash
pip install pyCritical
```

2. Try it in **Colab**:

- Example 01: CPM  ([ Colab Demo ](https://colab.research.google.com/drive/1d9Hrldzh5qnSQlYUhjmsiHh6Tv6G3CF5?usp=sharing))
- Example 02: PERT ([ Colab Demo ](https://colab.research.google.com/drive/1RQt0MSD6j7GPT6_K3_8gqaSGPgflh6U5?usp=sharing))
